# Class ViewBox

java.lang.Object
org.jfree.svg.ViewBox

public class ViewBox extends Object
Represents a view box in SVG.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`ViewBox(double minX, double minY, double width, double height)`
Creates a new instance with the specified dimensions.

## Method Summary

Modifier and Type
Method
Description
`String`
`valueStr(DoubleFunction<String> df)`
Returns a string containing the view box coordinates and dimensions.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ViewBox

public ViewBox(double minX, double minY, double width, double height)
Creates a new instance with the specified dimensions.

Parameters:
  `minX` - the x coordinate.
  `minY` - the y coordinate.
  `width` - the width.
  `height` - the height.

## Method Details

### valueStr

public String valueStr(DoubleFunction<String> df)
Returns a string containing the view box coordinates and dimensions.

Parameters:
  `df` - the converter function (`null` not permitted).
Returns:
  A string containing the view box coordinates and dimensions.